
@tailwind base;
@tailwind components;
@tailwind utilities;

@font-face {
  font-family: 'Satoshi-Variable';
  src: url('./styles/fonts/Satoshi-Variable.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Variable.woff') format('woff'),
        url('./styles/fonts/Satoshi-Variable.ttf') format('truetype');
        font-weight: 300 900;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'Satoshi-VariableItalic';
  src: url('./styles/fonts/Satoshi-VariableItalic.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-VariableItalic.woff') format('woff'),
        url('./styles/fonts/Satoshi-VariableItalic.ttf') format('truetype');
        font-weight: 300 900;
        font-display: swap;
        font-style: italic;
}

@font-face {
  font-family: 'Satoshi-Light';
  src: url('./styles/fonts/Satoshi-Light.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Light.woff') format('woff'),
        url('./styles/fonts/Satoshi-Light.ttf') format('truetype');
        font-weight: 300;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'Satoshi-LightItalic';
  src: url('./styles/fonts/Satoshi-LightItalic.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-LightItalic.woff') format('woff'),
        url('./styles/fonts/Satoshi-LightItalic.ttf') format('truetype');
        font-weight: 300;
        font-display: swap;
        font-style: italic;
}

@font-face {
  font-family: 'Satoshi-Regular';
  src: url('./styles/fonts/Satoshi-Regular.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Regular.woff') format('woff'),
        url('./styles/fonts/Satoshi-Regular.ttf') format('truetype');
        font-weight: 400;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'Satoshi-Italic';
  src: url('./styles/fonts/Satoshi-Italic.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Italic.woff') format('woff'),
        url('./styles/fonts/Satoshi-Italic.ttf') format('truetype');
        font-weight: 400;
        font-display: swap;
        font-style: italic;
}

@font-face {
  font-family: 'Satoshi-Medium';
  src: url('./styles/fonts/Satoshi-Medium.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Medium.woff') format('woff'),
        url('./styles/fonts/Satoshi-Medium.ttf') format('truetype');
        font-weight: 500;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'Satoshi-MediumItalic';
  src: url('./styles/fonts/Satoshi-MediumItalic.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-MediumItalic.woff') format('woff'),
        url('./styles/fonts/Satoshi-MediumItalic.ttf') format('truetype');
        font-weight: 500;
        font-display: swap;
        font-style: italic;
}

@font-face {
  font-family: 'Satoshi-Bold';
  src: url('./styles/fonts/Satoshi-Bold.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Bold.woff') format('woff'),
        url('./styles/fonts/Satoshi-Bold.ttf') format('truetype');
        font-weight: 700;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'Satoshi-BoldItalic';
  src: url('./styles/fonts/Satoshi-BoldItalic.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-BoldItalic.woff') format('woff'),
        url('./styles/fonts/Satoshi-BoldItalic.ttf') format('truetype');
        font-weight: 700;
        font-display: swap;
        font-style: italic;
}

@font-face {
  font-family: 'Satoshi-Black';
  src: url('./styles/fonts/Satoshi-Black.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-Black.woff') format('woff'),
        url('./styles/fonts/Satoshi-Black.ttf') format('truetype');
        font-weight: 900;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'Satoshi-BlackItalic';
  src: url('./styles/fonts/Satoshi-BlackItalic.woff2') format('woff2'),
        url('./styles/fonts/Satoshi-BlackItalic.woff') format('woff'),
        url('./styles/fonts/Satoshi-BlackItalic.ttf') format('truetype');
        font-weight: 900;
        font-display: swap;
        font-style: italic;
}

@font-face {
  font-family: 'ClashDisplay-Variable';
  src: url('./styles/fonts/ClashDisplay-Variable.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Variable.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Variable.ttf') format('truetype');
        font-weight: 200 700;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'ClashDisplay-Extralight';
  src: url('./styles/fonts/ClashDisplay-Extralight.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Extralight.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Extralight.ttf') format('truetype');
        font-weight: 200;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'ClashDisplay-Light';
  src: url('./styles/fonts/ClashDisplay-Light.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Light.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Light.ttf') format('truetype');
        font-weight: 300;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'ClashDisplay-Regular';
  src: url('./styles/fonts/ClashDisplay-Regular.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Regular.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Regular.ttf') format('truetype');
        font-weight: 400;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'ClashDisplay-Medium';
  src: url('./styles/fonts/ClashDisplay-Medium.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Medium.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Medium.ttf') format('truetype');
        font-weight: 500;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'ClashDisplay-Semibold';
  src: url('./styles/fonts/ClashDisplay-Semibold.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Semibold.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Semibold.ttf') format('truetype');
        font-weight: 600;
        font-display: swap;
        font-style: normal;
}

@font-face {
  font-family: 'ClashDisplay-Bold';
  src: url('./styles/fonts/ClashDisplay-Bold.woff2') format('woff2'),
        url('./styles/fonts/ClashDisplay-Bold.woff') format('woff'),
        url('./styles/fonts/ClashDisplay-Bold.ttf') format('truetype');
        font-weight: 700;
        font-display: swap;
        font-style: normal;
}

body {
  margin: 0;
  font-family: 'Satoshi-Variable', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

* {
  box-sizing: border-box;
}

h1, h2, h3, h4, h5, h6, label, .btn, .font-clash-display {
  font-family: 'ClashDisplay-Variable', sans-serif;
}

.leaflet-marker-icon {
  background-color: transparent !important;
  border: none !important;
}

.notif::after {
  content: attr(data-count);
  position: absolute;
  top: -5px;
  right: -5px;
  font-size: 10px;
  padding: 1px 6px;
  border-radius: 50%;
  font-size: 10px;
  color: white;
  background: #E07A06;
}

.scroll-hidden::-webkit-scrollbar {
  display: none;
}